com.impinj.octane

## Enum LockType

- java.lang.Object
- - java.lang.Enum<LockType>
  - - com.impinj.octane.LockType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LockType>

      public enum LockType
      extends java.lang.Enum<LockType>

  An enumeration that holds the type of lock operation to perform
  See Also:
    `TagLockOp`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Locked` Perform a 'Lock' operation on the tag memory bank; the tag memory bank can subsequently be unlocked.
    `None` Perform no lock operation on the tag memory bank; the tag memory bank lock status remains unaffected.
    `PermaLocked` Perform a 'Permalock' operation on the tag memory bank; the tag memory bank can never subsequently be unlocked.
    `PermaUnlocked` Perform a 'Permaunlock' operation on the tag memory bank; the tag memory bank can never subsequently be locked.
    `Unlocked` Perform an 'Unlock' operation on the tag memory bank; the tag memory bank can never subsequently be unlocked.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static LockType` | `valueOf(int lockTypeValue)`
    `static LockType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final LockType None

      Perform no lock operation on the tag memory bank; the tag memory bank lock status remains unaffected.

    - #### Unlocked

          public static final LockType Unlocked

      Perform an 'Unlock' operation on the tag memory bank; the tag memory bank can never subsequently be unlocked.

    - #### Locked

          public static final LockType Locked

      Perform a 'Lock' operation on the tag memory bank; the tag memory bank can subsequently be unlocked.

    - #### PermaUnlocked

          public static final LockType PermaUnlocked

      Perform a 'Permaunlock' operation on the tag memory bank; the tag memory bank can never subsequently be locked.

    - #### PermaLocked

          public static final LockType PermaLocked

      Perform a 'Permalock' operation on the tag memory bank; the tag memory bank can never subsequently be unlocked.

  - ### Method Detail

    - #### values

          public static LockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockType c : LockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static LockType valueOf(int lockTypeValue)

      Parameters:
        `lockTypeValue` - integer value
      Returns:
        the enumeration object corresponding to the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeratino object